Bug 1375605 - python3-modernize does not Obsolete python-modernize
Summary: python3-modernize does not Obsolete python-modernize
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-modernize
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-09-13 14:08 UTC by Petr Viktorin
Modified: 2016-09-27 00:38 UTC (History)
4 users (show)

Fixed In Version: python-modernize-0.5-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:38:50 UTC


Attachments (Terms of Use)

Description Petr Viktorin 2016-09-13 14:08:18 UTC
Systems that have python-modernize installed will not be automatically updated to the new package.

Also, the old and new packages have a file conflict (/usr/bin/python-modernize), so it's unnecessarily hard to update even manually.


The old package should be properly obsoleted: https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

Comment 1 Fedora Update System 2016-09-17 16:09:01 UTC
python-modernize-0.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a5b8fbbe4

Comment 2 Kevin Fenzi 2016-09-17 16:19:20 UTC
Do we need f24 here also? Or just f25/rawhide?

and thanks for the bug!

Comment 3 Fedora Update System 2016-09-18 07:22:40 UTC
python-modernize-0.5-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a5b8fbbe4

Comment 4 Petr Viktorin 2016-09-21 08:12:35 UTC
I don't think f24 is much of a priority – users will just have the old version until they upgrade.

Thanks for the update!

Comment 5 Fedora Update System 2016-09-27 00:38:50 UTC
python-modernize-0.5-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.